Subject: Re: [PATCH 01/20] git.c: update NO_PARSEOPT markings

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Aug 2022 14:35:03 -0700

SZEDER Gábor <[email-masked]> writes:

[elided here is a good discussion on how to (re)do command line
completion without NO_PARSEOPT markings]

> ...
> However, I'll definitely need to think more about corner cases, e.g.
> hitting 'git cmd --<TAB>' while outside a repository doesn't even
> reaches parse_options() if that command requires a repository.  But
> let's leave that for later and get this series in shape first.

Yes.  I thought this series was mostly ready, except for a minor
nits in the way things are explained in the proposed log message
in [09/20].  How would we want to proceed from here?

Thanks.